Ticket #42574

Remove disabled unit upgrades from AI and UI scope

Open Date: 2021-06-26 08:53 Last Update: 2022-01-10 04:29

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

(original header was: civ1: UpgradeUnit not enabled)

Action must be enabled in the ruleset. AI can't even pretend it's disabled, btw.

Ticket History (3/12 Histories)

2021-06-26 08:53 Updated by: ihnatus
  • New Ticket "civ1: UpgradeUnit not enabled" created
2021-06-26 17:29 Updated by: cazfi
Comment

Can you be more verbose? What does the current rule break?

2021-06-26 20:17 Updated by: ihnatus
Comment

Oh I checked, really, no upgrades conform to Sid's Civ rules! Then we should remove unenabled upgade from user interface and AI consideration since the illegal action message just comes out of the blue.

2021-06-26 20:17 Updated by: ihnatus
  • Component Update from Rulesets to General
2021-06-26 20:18 Updated by: ihnatus
  • Severity Update from 6 to 4
2021-07-03 01:36 Updated by: ihnatus
  • Details Updated
  • Summary Updated
2021-10-08 02:21 Updated by: cazfi
2021-12-19 18:54 Updated by: cazfi
  • Component Update from General to AI
  • Severity Update from 4 to 5 - Medium
Comment

Client part -> #43424

This ticket is left for the AI changes.

2022-01-02 09:56 Updated by: cazfi
  • Resolution Update from None to Accepted
2022-01-10 04:29 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login